(* Программа lookup -- выводит установки ограничений файлов *)

uses stdio;

type table=record
  val:integer;
  name:pchar;
end;

var
  tb:^table;
const options:array [0..3] of table=(
    (val:_PC_LINK_MAX; name:'Максимальное число ссылок'),
    (val:_PC_NAME_MAX; name:'Максимальная длина имени файла'),
    (val:_PC_PATH_MAX; name:'Максимальная длина пути'),
    (val:-1; name:nil)
  );
begin
  tb:=options;
  while tb^.name<>nil do
  begin
    printf('%-32.31s%ld'#$a, [tb^.name, pathconf ('/tmp', tb^.val)]);
    inc(tb);
  end;
end.
